Bug 486208 - RFE: add 'listfiles' command to yum
RFE: add 'listfiles' command to yum
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2009-02-18 16:20 EST by Tobias Mueller
Modified: 2014-01-21 18:08 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-06-26 15:20:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Tobias Mueller 2009-02-18 16:20:58 EST
Description of problem:
I want to know which files a package installed. I don't want to know about
other tools besides yum, because it costs my precious time to learn about many

I think it's rather obvious why "yum listfiles" costs less time: Because yum is
the only interface to the package management for me. When I want to do anything
with packages, I look at yum first. I really think this is pretty reasonable,
since it already does the most important stuff. I also think/know that many
other Fedora users see it the same way.

So this is an usability issue as well. The higher the hurdle to take is, the
more annoying or cumbersome is it to fulfil a task. And the need to use
different tools then *the* package-manager is of course a higher hurdle which
takes thus more time (to learn, to use, to remember, ...). 

Getting from "yum" to "repoquery" is rather hard, because repoquery is only
referenced as "See Also" in the manpage (among 10 other references). I'd love
to see at least a hint like "Please use ,,repoquery'' in order to do this
operation" if I do a "yum listfiles".
But fixing documentation is no option, as I've already mentioned above.

Version-Release number of selected component (if applicable):
$ yum info yum
Loaded plugins: priorities, refresh-packagekit
96 packages excluded due to repository priority protections
Installed Packages
Name       : yum
Arch       : noarch
Version    : 3.2.21
Release    : 2.fc10
Size       : 3.1 M
Repo       : installed
Summary    : RPM installer/updater
URL        : http://yum.baseurl.org/
License    : GPLv2+
Description: Yum is a utility that can check for and automatically download and
           : install updated RPM packages. Dependencies are obtained and
           : downloaded automatically prompting the user as necessary.

How reproducible:
execute "yum listfiles ca-certificates" and see it FAILing.

Steps to Reproduce:
1. exec yum listfiles ca-certificates

Actual results:
Yum fails because it doesn't know about this command "listfiles"

Expected results:
I expected yum to display the files the package "ca-certificates" installed.

Additional info:
I'd also appreciate if "files", "showfiles" and the like were aliased to
Comment 1 iarly selbir 2009-02-18 21:56:51 EST
currently rpm -ql _package_name_ ( for example: rpm -ql ca-certicates ) does it.

Adding FutureFeature to keywords.

Fedora Bugzappers volunteer triage team
Comment 2 seth vidal 2009-02-18 23:55:12 EST
does futurefeature imply that we're going to do this? B/c I think it is unlikely this will ever wind its into yum itself.
Comment 3 iarly selbir 2009-02-19 06:24:11 EST

I understood wrong.

Fedora Bugzappers volunteer triage team
Comment 4 Adam Miller 2009-06-26 15:20:05 EDT
This has been discussed and there is no need to reinvent the wheel on this
matter. Closing as WONTFIX.
Comment 5 Tobias Mueller 2009-06-26 16:04:11 EDT
Hey Adam,

could you point me to the discussion, please? Especially to the point where it has been decided that is isn't about making the users life as easy as possible. Thanks.
Comment 6 seth vidal 2009-06-26 16:10:02 EDT
What isn't about the users life as easy as possible? Adding lots and lots of options is not making life easier for the user.

If you want to make this bug about needing better documentation about repoquery and rpm -q - that's fine.

The discussion Adam mentioned was on irc.

Note You need to log in before you can comment on or make changes to this bug.